part of 'working_area_bloc.dart';

@immutable
sealed class WorkingAreaEvent {}

class InitializeWorkingAreaEvent extends WorkingAreaEvent {
  InitializeWorkingAreaEvent();
}

class CheckAreaEvent extends WorkingAreaEvent {
  final String id;
  final bool selected;

  CheckAreaEvent({required this.id, required this.selected});
}

class SubmitWorkingAreaEvent extends WorkingAreaEvent {
  SubmitWorkingAreaEvent();
}
